> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/55.-zip-fajlok-feltoltese-6-mb-felett.md).

# 55. ZIP-fájlok feltöltése (6 MB felett)

Az AWS felhőszolgáltató technikai korlátozása miatt a 6 MB-nál nagyobb fájlok feltöltése 2 lépésben történik:

#### **1. Kérje le az előre aláírt linket a további közvetlen feltöltéshez.**  <a href="#step1" id="step1"></a>

Bemenetként:&#x20;

* `fileType` - `hozam` VAGY `talaj` VAGY `kijuttatott` VAGY `adapt` VAGY `határ`,&#x20;
* `farmUuid` (opcionális) - a gazdaság UUID-ja, ahová a fájlt importálni kell.&#x20;

Kimenetként:

* `uuid` - a feltöltés és feldolgozás után várható UUID,
* `farmUuid` - ugyanaz, mint a bemenet,
* `fileType` - ugyanaz, mint a bemenet,
* `s3Url` - a fájl feltöltéséhez használt URL,
* `s3Fields` - attribútumok, amelyeket a feltöltő űrlapban kell megadni.

A használat részletei `s3Url` és `s3Fields` a második lépésben vannak leírva.&#x20;

Az attribútumok csak 60 percig érvényesek a fájl feltöltéséhez.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Küldje el a helyi fájlt a s3Url-re az s3Fields-ben megadott előre definiált űrlapattribútumokkal.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

A feldolgozásról szóló értesítéseket az alábbiakban leírt előfizetési mechanizmuson keresztül kapja meg:\
&#x20;[1. Előfizetés: Események lekérése](/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/1.-elofizetes-esemenyek-lekerese.md).

{% hint style="info" %}
A válasz fejléc tartalmaz egy `Etag` fejlécet, amely például így jelenik meg `Etag: "6fd3e76992738357ab50039f2c60024e"`. Ezt az értéket később a GraphQL-ben használják [query getPlatformContext](/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/83.-lekerdezes-platformkornyezet-osszegyujtese.md) a feldolgozás előrehaladásának nyomon követésére, valamint a „Field”, „AsAppliedDataset”, „YieldDataset” és „SoilDataset” entitásokhoz való kapcsolódásra.
{% endhint %}

{% hint style="info" %}
Használja `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/55.-zip-fajlok-feltoltese-6-mb-felett.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
